Type to search.

Retrieves the ruleset by ID.

Auth

Retrieves a list of resources that are associated to the specified ruleset.

Path parameters

ruleset_id string required

The mandatory ruleset ID.

Query parameters

include_associations boolean · default: false

Retrieves a list of resources that are associated to the specified ruleset.

Responses

The container for a set of traffic filter rules.

application/json
id string required

The ruleset ID

name string required

Name of the ruleset

description string

Description of the ruleset

type string required

Type of the ruleset

include_by_default boolean required

Should the ruleset be automatically included in the new deployments

region string required

The ruleset can be attached only to deployments in the specific region

rules object[] required

List of rules

id string

The rule ID

remote_cluster_org_id string

The remote cluster organization ID

remote_cluster_id string

The remote cluster ID

description string

Description of the rule

source string

Allowed traffic filter source: IP address, CIDR mask, or VPC endpoint ID

azure_endpoint_name string

Name of the Azure Private Endpoint to allow connections from

azure_endpoint_guid string

Resource GUID of the Azure Private Endpoint to allow connections from

total_associations integer · format: int32

Total number of associations. This includes associations the user does not have permission to view.Returned only when include_associations query parameter is true